import { useInjector, useRequest } from "vue-vulcan";
import { useAuthData } from "./useAuthData";


export function useLogOut() {
  const [, request] = useRequest<any>('/loginOut', { auto: false });
  const { setAuth } = useInjector(useAuthData);

  const submitLogOut = (data: {login_id: string}) => {    
    return request(data).then( _ => setAuth(null));
  }

  return { submitLogOut }
}