## anyremote app 小程序版本
基于taro+vue3 实现, vue3 composition api的具体使用方法请参考官方文档 [https://www.vue3js.cn/docs/zh/guide/composition-api-introduction.html]

### 主要工具库：
* vue-vulcan 由本人实现的vue3依赖注入方案，用于解决状态管理问题
* 主要思路与用法请参考文章 [https://zhuanlan.zhihu.com/p/351519484]
* github链接 [https://github.com/velley/vue-vulcan]

### 代码目录结构：
* any-hooks/ anyremote的业务逻辑代码，与小程序的界面逻辑代码解耦
* config/ taro框架的配置文件，大部分情况不用理会
* src/ 小程序的相关代码
  * assets/ 静态资源图片
  * componnents/ 通用组件
  * contains/ 通用常量，如http请求根域名等
  * hooks/ 应用内通用逻辑（根据vue3特性将通用逻辑写成组合函数，且该hook文件内的代码均与小程序平台本身特性相关，故与any-hooks内的hooks代码进行了分离）
  * pages/ 应用内的页面组件
  * types/ 暂时作废,请使用any-hooks中的types文件


### 注意事项：
1. any-hooks的业务代码原计划同时用于小程序和web平台，但由于中途遇到sdk开发的需求，sdk的代码需要满足框架无关的场景，更具有通用性，故使得基于vue3的any-hooks代码可能不再具有可重用性。后续会考虑基于sdk代码重构web端。any-hooks的代码目前只用于小程序端，若后期可用于web端，应考虑将any-hook发布为npm包使用。